/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck                                  *
 *   bastl@server                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "pcnc.h"
#include <kapplication.h>
#include <dcopclient.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <qdir.h>

#include "setupdialog.h"


static const char version[] = "1.0";

static const char description[] = I18N_NOOP("<h2><center>PCNC 1.0</center></h2><center>(<b>P</b>ersonal <b> C</b>omputer <b> N</b>umerical <b>C</b>ontrol)<br><br>&#169;2005 by Sebastian Beck ;sebastian.bw@freenet.de</center><br><br>Diese Software ist f&uuml;r 3 Achsen CNC-Fr&#228;smaschienen geschrieben.<br><br>Dies ist ein Frontend f&uuml;r mein Steuerprogramm pcnc-plus.<br>Ihr Computer sollte daf&uuml;r mindestens 500 MHz besitzen.<br><br>Diese Software habe ich exklisiv f&uuml;r Linux und der am weitest<br>verbreiteten Oberfl&auml;che - KDE - geschrieben.<br> &nbsp;<u><br>Zusammenfassung:</u><br><ul><li>Dies ist professionelle Software.</li><br><li>Sie sollen diese Software IhrenFreunden, Gesch&#228;ftspartnern kpieren<br>und weiter-verschenken.</li><br><li>Sie d&#252;rfen diese Software nie, nie verkaufen, oder das Copyright &#228;ndern !<br>(<i>Sie w&#252;rden sich sonst nach dem Copyright-Gesetz <b>und</b> der Bereicherung strafbar machen</i>)</li><br><li>Sie d&#252;rfen mit der Anwendung dieser Software Geld verdienen,<br>so viel Sie wollen !</li><br><li>Da die Software kostenlo&#223; ist, hoffe ich, da&#223; Sie mich bei der<br> Weiterentwicklung unterst&#252;tzen: Fehler melden und mir zahlreich<br>Verbesserungsvorschl&#228;ge unterbreiten.</li><br></ul>Dann noch viel Spa&#223; mit dieser Software.");

static KCmdLineOptions options[] =
	{
	{ "+[URL]", I18N_NOOP( "Document to open" ), 0 },
	KCmdLineLastOption
	};

void obsetup()
	{
	QDir d( "" );
	d.setCurrent( d.homeDirPath()+"/PCNC" );
	
	 if( ! d.cd( d.homeDirPath()+"/PCNC" ) )
		{
		SetupDialog *setup = new SetupDialog();
		setup->exec();
		}
	}

int main( int argc, char **argv )
	{
	KAboutData about("pcnc", I18N_NOOP("PCNC"), version, description, KAboutData::License_GPL_V2, "(C) 2005 Sebastian Beck", 0, "http://people.freenet.de/PCNC/", "pcnc-1.0@freenet.de");
	about.addAuthor( "Sebastian Beck", 0, "sebastian.bw@freenet.de","http://people.freenet.de/PCNC/" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions(options);
	KApplication app;
	
	// register ourselves as a dcop client
	app.dcopClient()->registerAs(app.name(), false);
	
	// see if we are starting with session management
	if (app.isRestored())
		{
			RESTORE(PCNC);
		}
	
	else
		{
		// no session.. just start up normally
		KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		if (args->count() == 0)
			{
			PCNC *pcw = new PCNC;
			pcw->show();
			}
		else
			{
			PCNC *pcw = new PCNC;
			pcw->show();
// 			pcw->load(args->url(-1) );
			}
		args->clear();
		}
	
	obsetup();
	
	return app.exec();
	}



